Debian::Control::Stanza::Binary(3pm)

NAME
Debian::Control::Stanza::Binary - binary stanza of Debian source package control file

SYNOPSIS
    my $bin = Debian::Control::Stanza::Binary->new(\%data);
    print $bin;                         # auto-stringification
    print $bin->Depends;                # Debian::Dependencies object

DESCRIPTION
Debian::Control::Stanza::Binary can be used for representation and manipulation of "Package:" stanza of Debian source package control files in an object-oriented way. Converts itself to a textual representation in string context.

FIELDS
The supported fields for binary stanzas are listed below. For more information about each field's meaning, consult the section named "Source package control files -- debian/control" of the Debian Policy Manual at <https://www.debian.org/doc/debian-policy/>

Note that real control fields may contain dashes in their names. These are replaced with underscores.

Package
Architecture
Section
Priority
Essential
Depends
Recommends
Suggests
Enhances
Replaces
Pre_Depends
Conflicts
Breaks
Provides
Built_Using
Multi_Arch
Description
Package_Type
Build_Profiles

"Depends", "Conflicts" "Breaks", "Recommends", "Suggests", "Enhances", "Replaces", and "Pre_Depends" fields are converted to objects of Debian::Dependencies class upon construction.

Two more accessor methods are provided for easier handling of package's short and long description.

short_description
long_description

Setting them transparently modifies Description. Note that the value of long_description is "unmangled", that is without leading spaces, and empty lines are empty. Description on the other hand is just as it looks in a regular debian/control file - the long part is indented with a single space and empty lines are replaced with dots.

CONSTRUCTOR

new
new( { field => value, ... } )
    Creates a new Debian::Control::Stanza::Binary object and optionally initializes it with the supplied data.

SEE ALSO
Debian::Control::Stanza::Source inherits most of its functionality from Debian::Control::Stanza

COPYRIGHT & LICENSE
Copyright (C) 2009, 2010 Damyan Ivanov dmn@debian.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.